Bug 461389 - RFE: Show partition details
RFE: Show partition details
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
9
All Linux
medium Severity low
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks: AnacondaStorage
  Show dependency treegraph
 
Reported: 2008-09-07 00:49 EDT by Arthur Pemberton
Modified: 2009-07-14 10:01 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 10:01:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Arthur Pemberton 2008-09-07 00:49:47 EDT
Description of problem:
During install, when asked to choose a hard drive, only the hard disk model names are shown, and the dev addresses. This is often not enough to determine which drive one wants to use for install.

How reproducible:
Everytime


Steps to Reproduce:
1. Start Fedora GUI installtion
2. Arrive and partition choosing screen
  
Actual results:
Only device names and hard drive modules are shown (which often includes the drive size)


Expected results:
One should be able to click on a drive and at least get an `fdisk -l` style listing.

Additional info:
Last install, I was able to do `fdisk -l` as I was installing from a LiveCD. This is not always possible.
Comment 1 Chris Lumens 2009-02-09 16:41:02 EST
What information do you want to see in order to make an informed decision about what disks to use in partitioning?  I'm not sure that having an fdisk display is all that doable.  We could probably rig something up using the existing code, but we're working on redoing all the partitioning anyway.  The UI is unlikely to change for this release but I'm hoping to get to it next release.  If we could determine now what information people are looking for, we could work this into the rewrite instead of having to bolt it on after the fact.
Comment 2 Arthur Pemberton 2009-02-09 17:09:43 EST
A listing of the partitions and their filesystem codes would be useful. Having the byte size would also be useful. If someone has the same models and partition scheme, they probably don't care which drive is used.
Comment 3 Arthur Pemberton 2009-05-04 02:23:56 EDT
Is there anything that I can do to help with the RFE? Just checking up on my open issues tonight.
Comment 4 Bug Zapper 2009-06-09 22:38:46 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-07-14 10:01:08 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.